dpkg-scanpackages(1)

NOM
dpkg-scanpackages - créer des fichiers d'index de paquets.

SYNOPSIS
dpkg-scanpackages [options] rep-de-binaires [fichier-override [chemin-à-préfixer]] > Packages

DESCRIPTION
dpkg-scanpackages trie une arborescence contenant des paquets binaires Debian et crée un fichier « Packages\ » qui permettra à apt(8), dselect(1), ou à un autre programme, de savoir quels sont les paquets installables. Ces fichiers « Packages\ » sont semblables à ceux qu'on peut trouver sur les sites d'archives Debian ou sur des CD. Quand on crée un répertoire contenant des paquets qu'on veut installer sur un ensemble de machines, on peut se servir soi-même de dpkg-scanpackages.

Note\ : Pour pouvoir accéder avec apt au fichier paquets généré, il faudra sans doute le compresser avec bzip2(1) (qui crée un fichier Packages.bz2) ou gzip(1) (qui crée un fichier Packages.gz). apt ignore les fichiers Packages non compressés, sauf pour des sources locales (cad file://).

rep-de-binaires est le nom de l'arborescence des paquets binaires (par exemple contrib/binary-i386) que l'on veut traiter. Il vaut mieux qu'elle soit relative à la racine de l'archive Debian\ ; ainsi chaque champ «Filename\ » dans le nouveau fichier « Packages\ » commencera par cette chaîne.

overridefile is the name of a file to read which contains information about how the package fits into the distribution (it can be a compressed file); see deb-override(5).

chemin-à-préfixer est une chaîne facultative qui préfixera les champs «Filename\ ».

S'il existe plusieurs versions d'un paquet, seule la plus récente est affichée en sortie. Si les paquets ont la même version mais diffèrent par l'architecture, seul le premier trouvé est utilisé.

OPTIONS

-t, --type type
    Recherche des fichiers *.type, plutôt que *.deb.

-u, --udeb
    Alias obsolete pour -tudeb.

-e, --extra-override fichier
    Scan file to find supplementary overrides (the file can be compressed). See deb-extra-override(5) for more information on its format.

-a, --arch arch
    Utiliser un motif équivalent à *_all.deb et à *_arch.deb, plutôt que de rechercher tous les *.deb.

-m, --multiversion
    Affiche tous les paquets trouvés en sortie.

-M, --medium id-chaîne
    Add an X-Medium field containing the value id-string. This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

DIAGNOSTICS
dpkg-scanpackages affiche les erreurs habituelles qui se comprennent d'elles-mêmes. Il affiche aussi des avertissements quand des paquets sont dans un mauvais sous-répertoire, existent en double exemplaire, ont des champs « Filename\ » dans leur fichier « control\ », sont absents du fichier « override\ » ou bien dont les substitutions de responsable ne peuvent pas s'appliquer.

VOIR AUSSI
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.